### Method

# GimpUi ProcedureDialog get_label

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_get_label (
      GimpProcedureDialog* dialog,
      const gchar* label_id,
      const gchar* text
    )

#### Description [src]

Creates a new `GtkLabel` with `text`. It can be useful for packing textual information in between property settings.

The `label_id` must be a unique ID which is neither the name of a property of the `GimpProcedureConfig` associated to `dialog`, nor is it the ID of any previously created label or container. This ID can later be used together with property names to be packed in other containers or inside `dialog` itself.

#### Parameters

`label_id` | `const gchar*`
| The label for the `GtkLabel`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`text` | `const gchar*`
| The text for the label.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkWidget`
| The `GtkWidget` representing `label_id`. The object belongs to `dialog` and must not be freed.
| The data is owned by the instance.